<div mat-dialog-content>
  <mat-horizontal-stepper #stepper>
    <mat-step [stepControl]="firstFormGroup">
      <form [formGroup]="firstFormGroup">
        <ng-template matStepLabel>Fill the name of the project</ng-template>
        <mat-form-field>
          <input matInput placeholder="Project name" formControlName="projectName" required>
        </mat-form-field>
        <mat-form-field>
          <input matInput placeholder="Datasource name" formControlName="datasource" required>
        </mat-form-field>
        <div>
          <button mat-button matStepperNext [disabled]="!firstFormGroup.valid">Next</button>
        </div>
      </form>
    </mat-step>
    <mat-step>
      <ng-template matStepLabel>Done</ng-template>
      You are now done.
      <div>
        <button mat-button matStepperPrevious>Back</button>
        <button mat-button (click)="createProject()" [disabled] = "!inputIsValid">Create project</button>
      </div>
    </mat-step>
  </mat-horizontal-stepper>
</div>
